<div class="Container">
	<div class="Form">
		<div class="Box">
			<p-card header="Signup" [style]="{ 'padding': '10px' }">
		    <ng-template pTemplate="header">
		    </ng-template>
				<form (submit)="register()">
					<div class="Input__Container">
						<label for="username">Username: </label>
						<input [(ngModel)]="username" type="text" name="username" id="username" pInputText required>
					</div>
					<div class="Input__Container">
						<label for="fullName">Full name: </label>
						<input [(ngModel)]="fullName" type="text" name="fullName" id="fullName" pInputText required>
					</div>
					<div class="Input__Container">
						<label for="email">Email: </label>
						<input [(ngModel)]="email" type="email" name="email" id="email" pInputText required>
					</div>
					<div class="Input__Container">
						<label for="photo">Url Photo: </label>
						<input [(ngModel)]="photo" type="text" name="photo" id="photo" pInputText required>
					</div>
					<div class="Input__Container">
						<label for="password">Password: </label>
						<input [(ngModel)]="password" type="password" name="password" id="password" pInputText required>
					</div>
					<div class="Alert" *ngIf="hasError">
						<p-message severity="error" [text]="error.error"></p-message>
					</div>
					<div class="Button__Container">
						<button pButton label="Register" [style]="{'margin-top': '20px', 'width': '100%'}"></button>
					</div>
					<div class="Input__Container">
						<p>If you already have an account try to <a [routerLink]="['/login']">login</a>.</p>
					</div>
				</form>
		  </p-card>
		</div>
	</div>
</div>